<%@ Import Namespace="Krystalware.SlickUpload" %>
<%@ Register Assembly="Krystalware.SlickUpload" Namespace="Krystalware.SlickUpload.Controls" TagPrefix="kw" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Default.aspx.vb" Inherits="UploadManagerVB._Default"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD id="Head1">
		<title>SlickUpload UploadManager sample</title>
		<style type="text/css">
        BODY { FONT-FAMILY: tahoma,verdana,sans-serif }
        H1 { FONT-SIZE: 125% }
        TABLE.results { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid; BORDER-COLLAPSE: collapse }
        TABLE.results TD { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid }
        TABLE.results TH { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid }
        TABLE.results TH { BACKGROUND-COLOR: #e0e0e0 }
        </style>
	</HEAD>
	<body>
		<form id="form1" name="form1" runat="server">
			<h1>
				UploadManager sample</h1>
			<asp:Panel ID="uploadPanel" runat="server" Width="100%">
				<kw:UploadManager id="uploadManager" runat="server" Width="100%" OnUploadComplete="uploadManager_UploadComplete">
					<ProgressAreaTemplate>
						<table width="100%">
							<tr>
								<td>
									Uploading
									<kw:ProgressElement ID="progressElement1" Element="FileCountText" runat="server"></kw:ProgressElement>
									,
									<kw:ProgressElement ID="progressElement7" Element="ContentLengthText" runat="server"></kw:ProgressElement>
									.
								</td>
							</tr>
							<tr>
								<td>
									Currently uploading:
									<kw:ProgressElement ID="progressElement2" Element="CurrentFileName" runat="server"></kw:ProgressElement>
									, file
									<kw:ProgressElement ID="progressElement6" Element="CurrentFileIndex" runat="server"></kw:ProgressElement>
									of
									<kw:ProgressElement ID="progressElement5" Element="FileCount" runat="server"></kw:ProgressElement>
									.
								</td>
							</tr>
							<tr>
								<td>
									Speed:
									<kw:ProgressElement ID="progressElement3" Element="SpeedText" runat="server"></kw:ProgressElement>
									.
								</td>
							</tr>
							<tr>
								<td>
									About
									<kw:ProgressElement ID="progressElement4" Element="TimeRemainingText" runat="server"></kw:ProgressElement>
									&nbsp;remaining.
								</td>
							</tr>
							<tr>
								<td>
									<div style="border:1px solid #008800;height:1.5em;position:relative">
										<kw:ProgressBarElement  id="progressBarElement1" style="background-color:#00ee00;width:0;height:1.5em" runat="server">
										</kw:ProgressBarElement>
										<div style="text-align:center;position:absolute;top:.15em;width:100%">
											<kw:ProgressElement id="progressElement8" element="PercentCompleteText" runat="server"></kw:ProgressElement>
										</div>
									</div>
								</td>
							</tr>
						</table>
					</ProgressAreaTemplate>
				</kw:UploadManager>
				<asp:Button class="suSubmitButton" id="submitButton" runat="Server" Text="Upload"></asp:Button>
				<A class="suCancelButton" style="DISPLAY: none" href="javascript:SlickUpload_CancelUpload()">
					Cancel</A>
			</asp:Panel>
			<asp:Panel ID="uploadResultsPanel" runat="server" Visible="false" EnableViewState="false">
				<DIV id="resultsMessage" runat="server" />
					<asp:Repeater id="resultsRepeater" runat="server">
						<HeaderTemplate>
							<br />
							<table class="results" width="100%" cellpadding="4" cellspacing="0">
								<thead>
									<tr>
										<th align="left">
											Name
										</th>
										<th align="left">
											Mime Type
										</th>
										<th align="left">
											Length (bytes)
										</th>
									</tr>
								</thead>
								<tbody>
						</HeaderTemplate>
						<ItemTemplate>
							<tr>
								<td>
									<%#DirectCast(Container.DataItem, UploadedFile).ClientName %>
								</td>
								<td>
									<%#DirectCast(Container.DataItem, UploadedFile).ContentType %>
								</td>
								<td>
									<%#DirectCast(Container.DataItem, UploadedFile).ContentLength %>
								</td>
							</tr>
						</ItemTemplate>
						<FooterTemplate>
							</tbody> </table>
						</FooterTemplate>
					</asp:Repeater><br />
					<asp:Button id="restartButton" onclick="restartButton_Click" runat="server" Text="New Upload"></asp:Button>
			</asp:Panel>
		</form>
		</DIV>
	</body>
</HTML>
