<%@ Page Language="vb" AutoEventWireup="false" Codebehind="UploadHandler.aspx.vb" Inherits="UploadManagerCustomVB.UploadHandler"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
		<script type="text/javascript">
		var uploadBoxes = [];
		var uploadForm = null;

		function initDocument()
		{
			uploadForm = document.getElementById("uploadForm");
		
			addUploadBox();
			
			resizeContainer();
		}
			
		function UploadBox_Changed(e)
		{
			if (this.value.length == 0 && uploadBoxes.length > 0)
			{
			    if (uploadBoxes[uploadBoxes.length - 1] != this)
			    {		        
				    for (var i = 0; i < uploadBoxes.length; i++)
				    {
					    if (uploadBoxes[i] == this)
					    {				        
						    uploadBoxes.splice(i, 1);
    						
						    break;
					    }
				    }
    				
				    uploadForm.removeChild(this);
				    
				    resizeContainer();
				}
			}
			else
			{
				if (uploadBoxes[uploadBoxes.length - 1].value.length > 0)
				{
					addUploadBox();
					
					resizeContainer();
				}
			}
		}

		function addUploadBox()
		{
			var newBox = document.createElement("input");

			newBox.type = "file";
			newBox.className = "uploadBox";
			newBox.name = "uploadBox" + uploadBoxes.length;
			
			newBox.ChangedHandler = UploadBox_Changed;
			AddHandler(newBox, "propertychange", "ChangedHandler");
			AddHandler(newBox, "keyup", "ChangedHandler");
			AddHandler(newBox, "click", "ChangedHandler");
			AddHandler(newBox, "change", "ChangedHandler");
			
			uploadForm.appendChild(newBox);
			uploadBoxes.push(newBox);
		}

        function resizeContainer()
        {
            var iframes = window.parent.document.getElementsByTagName("iframe")
            var iframe;
            
            for (var i = 0; i < iframes.length; i++)
            {
                if (iframes[i].contentWindow.location == window.location)
                {
                    iframes[i].style.height = document.body.offsetHeight + "px";
                    
                    break;
                }
            }
        }
                       
		function AddHandler(eventSource, eventName, handlerName, eventTarget)
		{
			if (eventTarget == null)
				eventTarget = eventSource;
				
			if (eventSource.addEventListener)
			{
				eventSource.addEventListener(eventName, function(e) {eventTarget[handlerName](e);}, false);
			}
			else if (eventSource.attachEvent)
			{ 
				eventSource.attachEvent("on" + eventName, function(e) {eventTarget[handlerName](e);});
			}
			else
			{
				var originalHandler = eventSource["on" + eventName];
				
				if (originalHandler)
				{
					eventSource["on" + eventName] = function(e) {originalHandler(e); eventTarget[handlerName](e);};
				}
				else
				{
					eventSource["on" + eventName] = eventTarget[handlerName];
				}
			}
		}		
		</script>
		<style type="text/css"> body {font-family:tahoma,verdana,sans-serif}
	input.uploadBox { margin-bottom:1em; margin-left:0.5em; margin-right:0.5em; width:60%; border:1px solid #cccccc; }
	</style>
	</HEAD>
	<body onload="initDocument()">
		<form id="uploadForm" name="uploadForm" runat="server" enctype="multipart/form-data">
			<p>Custom upload handler...</p>
		</form>
	</body>
</HTML>
